getimagesize
image_type_to_extension
GD and Image Functions
PHP Manual

# getimagesizefromstring

Get the size of an image from a string

### Description

array getimagesizefromstring ( string `$imagedata` [, array `&$imageinfo` ] )

Identical to getimagesize except that getimagesizefromstring accepts a string instead of a file name as the first parameter.

See the getimagesize documentation for details on how this function works.

### Parameters

`imagedata`

  The image data, as a string.

`imageinfo`

  See getimagesize.

### Return Values

See getimagesize.

### Examples

Example #1 getimagesizefromstring example

`<?php
$img = '/path/to/test.png';
// Open as a file
$size_info1 = getimagesize($img);
// Or open as a string
$data = file_get_contents($img);
$size_info2 = getimagesizefromstring($data);
?>`

### See Also

- getimagesize